# MissingIdentifier

This is a Utility Discord providing some helpful and some not so helpful features. It uses the [JDA wrapper](https://github.com/DV8FromTheWorld/JDA).

## Features

 * ANNOY: Sends a message to guild members who did not choose a role yet
 * AUTOSELECT: Grands users a role when they react to a given reaction
 * DICE: Rolles a dice
 * FOLD: Show some statistics about a [Folding@home](https://foldingathome.org) team.
 * LOVECALC: Chances of two users falling in love (no guarantee)
 * ONLINEHIGHLIGHT: Gives users a role who play a certain game
 * PURGE: Bulk delete messages
 * QUOTE: Saves quotes and displays them randomly
 * RANDOMRESPONDE: Answer to given trigger words
 * SECRETCHANNEL: Grants members access to channels if they mention keywords
 * SHUFFLE: Color changing role
 * STATS: Some guild stats
 * VOICELOBBY: Temporary voice channels via command or joining certain channels
 * WELCOME: Messages for new members

## How to use MissingIdentifier

### Using my Bot hosted by me

1. Invite bot to your Discord guild using this [LINK](https://discordapp.com/oauth2/authorize?client_id=550770123946983440&scope=bot&permissions=285961296) (You may want to adjust the preset bot permissions to your linking).
2. Change bot prefix if other bots use the same (and use it from now on instead of `!`):

	```
!admin setprefix <PREFIX>
```
3. Set a Mod-Role so non guild owner are able to configure this bot (preferably the admin role)

	```
!admin setmodrole <@MODROLE>
```

4. Use the `help` command to get an overview of the available modules and commands.
5. Activate modules to your liking:

	```
!admin <MODULE>
```
6. Reenter the `help` command to get overview of new settings and commands available

### Self host the bot

1. Create Discord Bot-User
	1. Go to the [Discord developer](https://discord.com/developers/applications) page
	2. Create a new application and edit it to your liking
	3. navigate to `BOT` and hit `add bot`
	4. may activate `Privileged Gateway Intents` (right now bot uses them, may a non presence mode be implemented)
	5. Copy bot token
2. Copy release .jar executable
3. Copy sample config to .jar location
4. Enter bot token from step one into config file
5. run bot (`java -jar <filename>.jar`)

#### Updating

Just replace the .jar executable

### Building the bot your self

1. Clone Repo
2. Run `gradle fatJar`
3. .jar executable is located in ./build/libs/

(run the bot via `gradle run` should work fine too)

## Contributing

Uhm may just ask me to get started (COMING SOON)

## Bug report

(COMING SOON)

## Contact

Well find me ... i am using the name `Hiajen` 

or just text me via [Matrix](https://matrix.to/#/@hiajen:matrix.hiajen.de) (`@hiajen:matrix.hiajen.de`)
